/*****************************************************************************/
/* Begin struct definitions */

struct _Channel
{
  int num; /* The channel's number */
  snd_mixer_channel_t data; /* the data */
  snd_mixer_channel_info_t info; /* The info */
  unsigned int flags; /* The Channel's flags */
  GtkWidget *lm, *rm, *mm, *rec; /* The associated widgets */
  GtkWidget *lrec, *rrec; /* More associated widgets */
  GtkObject *ladj, *radj, *madj; /* The associated objects */
};
typedef struct _Channel Channel;

struct _Mixer
{
  int number; /* The number of the mixer device */
  void *handle;
  snd_mixer_info_t info; /* The info for the mixer */
  int cnum; /* The number of channels present */
  Channel *channel; /* A dynamic array of all the channels */
  char name[80]; /* The name of the mixer */
};
typedef struct _Mixer Mixer;

struct _Card
{
  int number; /* The card's number */
  void *handle; /* The handle for the mixer */
  char name[80]; /* The name of the card */
  Mixer *mixer; /* A dynamic array of all of the mixers */
  int nmixers; /* The number of mixers on the card */
  int npcms; /* The number of pcm devices */
};
typedef struct _Card Card;



struct _MixerInfo
{
  Mixer *mixer; /* Which card */
  int channel; /* Which channel */
  unsigned int flags; /* flags */
  Channel *chan; /* A pointer to the channel data */
  GtkWidget *other; /* The other range widget */
  GtkWidget *mute; /* The mute pixmap */
  GtkWidget *unmute; /* The unmute pixmap */
};
typedef struct _MixerInfo MixerInfo;

struct _ChannelLabel
{
  struct _ChannelLabel *next; /* pointer to the next node in the list */
  char *channel; /* The channel name */
  char *label; /* The channel label or pixmap */
};
typedef struct _ChannelLabel ChannelLabel;

struct _Config
{
  unsigned int flags; /* Flags */
  ChannelLabel *labels; /* The text labels for channels */
  ChannelLabel *xpm; /* The pixmaps (file names) for channels */
  char *mute; /* The mute label or pixmap (which is indicated in a flag) */
  char *unmute; /* The unmute label or pixmap (which is indicated in a flag) */
  char *simul; /* The simultaneous label or pixmap (which is indicated in a flag */
  char *unsimul; /* The unsimultaneous label or pixmap (which is indicated in a flag */
  char *rec; /* The record label or pixmap (which is indicated in a flag) */
  char *unrec; /* The unrecord label or pixmap (which is indicated in a flag) */
  unsigned int scale; /* The size in pixels that the scales should be set to */
  unsigned int padding; /* The padding between channels */
  int x_pos, y_pos; /* The position to start out at -1 = default */
  GdkPixmap *mute_xpm; /* The mute pixmap */
  GdkPixmap *unmute_xpm; /* The unmute pixmap */
  GdkPixmap *rec_xpm; /* The record pixmap */
  GdkPixmap *unrec_xpm; /* The record off pixmap */
  GdkPixmap *simul_xpm; /* The sumultaneous pixmap */
  GdkPixmap *unsimul_xpm; /* The independent pixmap */
  GdkBitmap *mute_mask;
  GdkBitmap *unmute_mask;
  GdkBitmap *rec_mask;
  GdkBitmap *unrec_mask;
  GdkBitmap *simul_mask;
  GdkBitmap *unsimul_mask;
};
typedef struct _Config Config;






/* End struct definitions */
/*****************************************************************************/
